BusinessChecksSent Checks
Create Checks
POST
Record checks a Business has written.
Scopes: check:create
OAuth2ClientCredentialsBearer check:createheader
AuthorizationBearer <token>Scope: check:create
business_id*Business IdThe id of the business
Format
biz_stringx-user-id?|Optional external entity identifier that performed the action
application/json- body
Items
items <= 100[index: integer]?Successful Response
application/json- response
data*array<>errors*array<>curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/checks' \ -H 'Content-Type: application/json' \ -d '[ { "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj", "payee": "ABC Plumbing", "amount": 500, "issued_at": "2026-09-03T00:00:00Z" }]'Example Response
{ "data": [ { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj", "payee": "ABC Plumbing", "vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo", "amount": 500, "currency": "USD", "check_number": "1042", "issued_at": "2019-08-24T14:15:22Z", "memo": "Invoice 2231", "voided_at": "2019-08-24T14:15:22Z", "created_by": "string", "id": "chk_WQMDNUHpBThYSNh4AprDBo", "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ", "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "cleared_at": "2019-08-24T14:15:22Z", "status": "issued" } ], "errors": [ { "error": "string", "check_number": "string", "payee": "string" } ]}